import { ChangeDetectorRef, OnInit } from '@angular/core';
import { FlexyFormFieldLayoutSchema, SelectOption, SelectOptionMapper } from '@ng-flexy/form';
import { HttpClient } from '@angular/common/http';
import { FlexyLoggerService } from '@ng-flexy/core';
import { FlexyFormControlOptionsService } from '../services/form-control-options.service';
import { FlexyFormAbstractOptionsComponent } from './abstract-options.component';
export declare class FlexyFormSelect2Component extends FlexyFormAbstractOptionsComponent implements OnInit {
    private httpClient;
    private logger;
    private cdr;
    protected optionsService: FlexyFormControlOptionsService;
    layoutSchema: FlexyFormFieldLayoutSchema;
    default: string;
    label: string;
    description: string;
    placeholder: string;
    labelIcon: string;
    enableSearchByValue: boolean;
    options: SelectOption[];
    optionsUrl: string;
    optionsMapper: SelectOptionMapper | string;
    optionsRawId: string;
    prefix: string;
    suffix: string;
    readonly: boolean;
    multiple: boolean;
    addItem: boolean;
    hideSelected: boolean;
    constructor(httpClient: HttpClient, logger: FlexyLoggerService, cdr: ChangeDetectorRef, optionsService: FlexyFormControlOptionsService);
    ngOnInit(): void;
}
